# Uses of Class
org.apache.zookeeper.server.Request

Packages that use Request
Package
Description
org.apache.zookeeper.audit
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.persistence
org.apache.zookeeper.server.quorum

## Uses of Request in org.apache.zookeeper.audit

Methods in org.apache.zookeeper.audit with parameters of type Request
Modifier and Type
Method
Description
`static void`
AuditHelper.`addAuditLog(Request request, DataTree.ProcessTxnResult rc)`
`static void`
AuditHelper.`addAuditLog(Request request, DataTree.ProcessTxnResult txnResult, boolean failedTxn)`
Add audit log if audit log is enabled and operation is of type which to be audit logged.

## Uses of Request in org.apache.zookeeper.server

Fields in org.apache.zookeeper.server declared as Request
Modifier and Type
Field
Description
`static final Request`
Request.`requestOfDeath`
Methods in org.apache.zookeeper.server that return Request
Modifier and Type
Method
Description
`Request`
TxnLogEntry.`toRequest()`
Methods in org.apache.zookeeper.server with parameters of type Request
Modifier and Type
Method
Description
`void`
ZKDatabase.`addCommittedProposal(Request request)`
maintains a list of last committedLog or so committed requests.
`boolean`
ZKDatabase.`append(Request si)`
append to the underlying transaction log
`boolean`
ZooKeeperServer.`authWriteRequest(Request request)`
Check Write Requests for Potential Access Restrictions
`void`
ZooKeeperServer.`enqueueRequest(Request si)`
`static void`
ZooTrace.`logRequest(org.slf4j.Logger log, long mask, char rp, Request request, String header)`
`protected void`
ContainerManager.`postDeleteRequest(Request request)`
`protected void`
PrepRequestProcessor.`pRequest(Request request)`
This method will be called inside the ProcessRequestThread, which is a singleton, so there will be a single thread calling this code.
`protected void`
PrepRequestProcessor.`pRequest2Txn(int type, long zxid, Request request, Record record)`
This method will be called inside the ProcessRequestThread, which is a singleton, so there will be a single thread calling this code.
`void`
FinalRequestProcessor.`processRequest(Request request)`
`void`
PrepRequestProcessor.`processRequest(Request request)`
`void`
RequestProcessor.`processRequest(Request request)`
`void`
SyncRequestProcessor.`processRequest(Request request)`
`void`
UnimplementedRequestProcessor.`processRequest(Request request)`
`DataTree.ProcessTxnResult`
ZooKeeperServer.`processTxn(Request request)`
`void`
ZooKeeperServer.`requestFinished(Request request)`
`protected void`
ZooKeeperServer.`setLocalSessionFlag(Request si)`
If the underlying Zookeeper server support local session, this method will set a isLocalSession to true if a request is associated with a local session.
`protected boolean`
RequestThrottler.`shouldThrottleOp(Request request, long elapsedTime)`
`void`
RequestThrottler.`submitRequest(Request request)`
`void`
ZooKeeperServer.`submitRequest(Request si)`
`void`
ZooKeeperServer.`submitRequestNow(Request si)`
`void`
ServerStats.`updateLatency(Request request, long currentTime)`
Update request statistic.

## Uses of Request in org.apache.zookeeper.server.persistence

Methods in org.apache.zookeeper.server.persistence with parameters of type Request
Modifier and Type
Method
Description
`boolean`
FileTxnLog.`append(Request request)`
`boolean`
FileTxnSnapLog.`append(Request si)`
append the request to the transaction logs
`boolean`
TxnLog.`append(Request request)`
Append a request to the transaction log with a digset

## Uses of Request in org.apache.zookeeper.server.quorum

Subclasses of Request in org.apache.zookeeper.server.quorum
Modifier and Type
Class
Description
`class`
`LearnerSyncRequest`
Fields in org.apache.zookeeper.server.quorum declared as Request
Modifier and Type
Field
Description
`protected Request`
Leader.Proposal.`request`
Fields in org.apache.zookeeper.server.quorum with type parameters of type Request
Modifier and Type
Field
Description
`protected final LinkedBlockingQueue<Request>`
CommitProcessor.`committedRequests`
Requests that have been committed.
`protected final Map<Long, Deque<Request>>`
CommitProcessor.`pendingRequests`
Requests that we are holding until commit comes in.
`protected LinkedBlockingQueue<Request>`
CommitProcessor.`queuedRequests`
Incoming requests.
`protected final LinkedBlockingQueue<Request>`
CommitProcessor.`queuedWriteRequests`
Incoming requests that are waiting on a commit, contained in order of arrival
Methods in org.apache.zookeeper.server.quorum that return Request
Modifier and Type
Method
Description
`Request`
QuorumZooKeeperServer.`checkUpgradeSession(Request request)`
`Request`
Leader.Proposal.`getRequest()`
Methods in org.apache.zookeeper.server.quorum with parameters of type Request
Modifier and Type
Method
Description
`void`
FollowerZooKeeperServer.`appendRequest(Request request)`
Append txn request to the transaction log directly without go through request processors.
`Request`
QuorumZooKeeperServer.`checkUpgradeSession(Request request)`
`void`
CommitProcessor.`commit(Request request)`
`void`
ObserverZooKeeperServer.`commitRequest(Request request)`
Unlike a Follower, which sees a full request only during the PROPOSAL phase, Observers get all the data required with the INFORM packet.
`void`
FollowerZooKeeperServer.`logRequest(Request request)`
`protected boolean`
CommitProcessor.`needCommit(Request request)`
`void`
CommitProcessor.`processRequest(Request request)`
`void`
FollowerRequestProcessor.`processRequest(Request request)`
`void`
LeaderRequestProcessor.`processRequest(Request request)`
`void`
ObserverRequestProcessor.`processRequest(Request request)`
Simply queue the request, which will be processed in FIFO order.
`void`
ProposalRequestProcessor.`processRequest(Request request)`
`void`
ReadOnlyRequestProcessor.`processRequest(Request request)`
`void`
SendAckRequestProcessor.`processRequest(Request si)`
`Leader.Proposal`
Leader.`propose(Request request)`
create a proposal and send it out to all the members
`protected void`
QuorumZooKeeperServer.`setLocalSessionFlag(Request si)`
`protected void`
ReadOnlyZooKeeperServer.`setLocalSessionFlag(Request si)`
`void`
Leader.`submitLearnerRequest(Request si)`
`void`
LeaderZooKeeperServer.`submitLearnerRequest(Request request)`
Requests coming from the learner should go directly to PrepRequestProcessor
`void`
ObserverMaster.`submitLearnerRequest(Request si)`
Constructors in org.apache.zookeeper.server.quorum with parameters of type Request
Modifier
Constructor
Description
``
`Proposal(Request request, QuorumPacket packet)`
``
`PureRequestProposal(Request request)`